{% extends 'base.html.twig' %}

{% block title %}Profile{% endblock %}

{% block breadcrumbs %}
    <div class="mybreadcrumb">
        <div class="container">
            <ul class="breadcrumbs">
                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    <a href="{{ path('profile') }}">Profile</a>
                    <span>&gt;</span>
                </li>
                <li>
                    <span class="grey">&nbsp;Orders&nbsp;</span>
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ app.request.headers.get('referer') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>
{% endblock %}

{% block body %}

    <div class="container">
        <div class="card">
            <div class="card-body">
                <div class="box">
                    <table class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            <th>Created</th>
                            <th>Grand total</th>
                            <th>Quantity of goods</th>
                            <th>Status</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for order in orders %}
                            <tr>
                                <td>{{ order['created'] }}</td>
                                <td>{{ order['grand_total'] }}</td>
                                <td>{{ order['count'] }}</td>
                                <td>{{ order['status'] }}</td>
                                <td>
                                    <div class="d-flex flex-row">
                                        <a href="{{ path('profile.orders.show', {'id': order['id']}) }}">Details</a>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

{% endblock %}